#include <iostream>
using namespace std;
int main()
{
    long long n,m;
    long long brojredara=0;
    cin>>n>>m;
    if(n==1 || n==2 || m==1 || m==2)
    {
        brojredara =n*m;
    }
    else
    {
        brojredara=2*m;
        for(int i=1;i<n-1;i++)
        {
            brojredara+=2;
            if(i%2!=0)
             {
               for(int j=2;j<m-1;j+=2)
               {
                   brojredara++;
               }
             }
             else
             {
                for(int j=1;j<m-1;j+=2)
             {
                 brojredara++;
             }
             }
        }
    }
    cout<<brojredara<<endl;
    return 0;
}